summarylogtreecommitdiffstats
path: root/vpointer
diff options
context:
space:
mode:
authorM0Rf302015-06-17 16:39:19 +0200
committerM0Rf302015-06-17 16:39:19 +0200
commit8c33b277556e126f668da16b620077fba4443c83 (patch)
treed539c88d46d3db088acfa3704206ca4d55ab482d /vpointer
downloadaur-8c33b277556e126f668da16b620077fba4443c83.tar.gz
Initial import
Diffstat (limited to 'vpointer')
-rw-r--r--vpointer44
1 files changed, 44 insertions, 0 deletions
diff --git a/vpointer b/vpointer
new file mode 100644
index 000000000000..7e29118986d1
--- /dev/null
+++ b/vpointer
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+MAX_CLIENTS=10
+IS_SCREENSAVER_DISABLED="true"
+
+function usage {
+ echo -e "USAGE: start_vpd.sh [options]\n"
+ echo -e "Standard options:"
+ echo -e "\t-max_clents or -mc\tVALUE\n\t\tmaximum number of users simultaneously connected [default $MAX_CLIENTS]"
+ echo -e "\t-ss_disabled or -ssd\n\t\tdisable the ScreenSaver [default]"
+ echo -e "\t-ss_enabled or -ssd\n\t\tenable (if it's active) the ScreenSaver"
+ echo -e "\t-help or -h\n\t\tdisplay this help and exit"
+}
+
+
+while [ x"$1" != x ] ; do
+ case "$1" in
+ -max_clientsi|-mc)
+ MAX_CLIENTS=$2
+ shift
+ ;;
+ -ss_disabled|-ssd)
+ IS_SCREENSAVER_DISABLED="true"
+ ;;
+ -ss_enabled|-sse)
+ IS_SCREENSAVER_DISABLED="false"
+ ;;
+ -h|--help|-help)
+ usage
+ exit 0
+ ;;
+ *)
+ echo "WRONG parameters"
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+
+
+java -jar /opt/vpointer-desktop/vPointerDesktop.jar $MAX_CLIENTS $IS_SCREENSAVER_DISABLED
+